/*
 *  ======== main.c ========
 *  Simple example that uses the Sensors APIs
 */
#include "HDC2080.h"

#include "mcu.h"  /* for mcu_msWait() */

#include "config.h" /* for sensor handle names */

uint16_t hdc20800Temp;
float hdc20800TempAsFloatCelsius;
long int hdc20800TempAsIntCelsius;
long int hdc20800TempAsMilliCelsius;
uint16_t hdc20800Hum;
float hdc20800HumAsFloatRelative;
unsigned int hdc20800HumAsIntRelative;

/*
 *  ======== main ========
 */
int main(void)
{
    HDC2080_config(HDC2080_0);

    for (;;) {
        /* Note: in continuous modes (CC), polling rate should
         *       not exceed sensor conversion rate
         */
        mcu_msWait(1000); /* delay 1 sec */

        /* Read HDC2080_0 temperature */
        hdc20800Temp = HDC2080_tempRead(HDC2080_0);
        hdc20800TempAsFloatCelsius = HDC2080_tempToFloatCelsius(hdc20800Temp);
        hdc20800TempAsMilliCelsius = HDC2080_tempToMilliCelsius(hdc20800Temp);
        hdc20800TempAsIntCelsius = HDC2080_tempToIntCelsius(hdc20800Temp);

        /* Read HDC2080_0 humidity */
        hdc20800Hum = HDC2080_humRead(HDC2080_0);
        hdc20800HumAsFloatRelative = HDC2080_humToFloatRelative(hdc20800Hum);
        hdc20800HumAsIntRelative = HDC2080_humToIntRelative(hdc20800Hum);

    }
}
